Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Class VersionThreeToVersionFourUpgrader.OldBuildResults

    java.lang.Object
      com.atlassian.bamboo.upgrader.VersionThreeToVersionFourUpgrader.OldBuildResults

Enclosing class:
  VersionThreeToVersionFourUpgrader

    public class VersionThreeToVersionFourUpgrader.OldBuildResults

extends Object

Field Summary
`Map` | `myArtifacts`
`Date` | `myBuildDate`
`long` | `myBuildDuration`
`List` | `myBuildErrors`
`int` | `myBuildNumber`
`List` | `myBuildOutput`
`BuildState` | `myBuildState`
`Collection` | `myChangeList`
`String` | `myErrorMessage`
`List` | `myFailedTestResults`
`String` | `myProjectName`
`ReasonForBuild` | `myReasonForBuild`
`File` | `mySourceDirectory`
`List` | `mySuccessfulTestResults`

Constructor Summary
`VersionThreeToVersionFourUpgrader.OldBuildResults()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myReasonForBuild

    public ReasonForBuild myReasonForBuild

### myBuildState

    public BuildState myBuildState

### myBuildErrors

    public List myBuildErrors

### myBuildOutput

    public List myBuildOutput

### myChangeList

    public Collection myChangeList

### myBuildNumber

    public int myBuildNumber

### mySuccessfulTestResults

    public List mySuccessfulTestResults

### myFailedTestResults

    public List myFailedTestResults

### myBuildDate

    public Date myBuildDate

### myBuildDuration

    public long myBuildDuration

### myArtifacts

    public Map myArtifacts

### mySourceDirectory

    public transient File mySourceDirectory

### myErrorMessage

    public transient String myErrorMessage

### myProjectName

    public transient String myProjectName

Constructor Detail

### VersionThreeToVersionFourUpgrader.OldBuildResults

    public VersionThreeToVersionFourUpgrader.OldBuildResults()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.